//
// Пример использования датчика влажности и температуры DHT11
// 
// на основе Arduino Playground: 
// http://playground.arduino.cc/Main/DHT11Lib
//
// Для вывода русских символов на дисплей использована 
// библиотека LiquidCrystalRus:
// https://github.com/mk90/LiquidCrystalRus
//
// http://mk90.ru/blog

#include <LiquidCrystalRus.h>
#include <dht11.h>

LiquidCrystalRus lcd(12, 11, 5, 4, 3, 2);
dht11 sensor;

#define DHT11PIN 8

void setup() {
  lcd.begin(16, 2);
  lcd.clear();
}

void loop() {
  switch (sensor.read(DHT11PIN)) {
    case DHTLIB_OK: 
		break;
    case DHTLIB_ERROR_CHECKSUM: 
		lcd.print("Checksum error");
                delay(2000);
                return;
    case DHTLIB_ERROR_TIMEOUT: 
		lcd.print("Time out error"); 
                delay(2000);
                return;
    default: 
		lcd.print("Unknown error"); 
                delay(2000);
                return;
  }
  lcd.setCursor(0, 0);
  lcd.print("Влажность,%:");
  lcd.print(sensor.humidity);
  lcd.setCursor(0, 1);
  lcd.print("Температура,C:");
  lcd.print(sensor.temperature);
  delay(2000);
  
}


